# Bulk Delete Available Periods

#### Description
Deletes all available periods for the authenticated account.

This can be used in combination with our [Real-Time Scheduling](/developers/api/scheduling/real-time-scheduling/index.md) and [Availability](/developers/api/scheduling/availability/index.md) features to manage an account's availability dynamically.

It can also be used in conjunction with the [Batch endpoint](/developers/api/batch/index.md).

#### URL format
```
{data_center_url}/v1/available_periods
```

#### Example Request
```http
DELETE /v1/available_periods HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "delete_all": true
}
```

#### Example Response
```http
HTTP/1.1 202 Accepted
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `delete_all` *(required)*

A [`Boolean`](/developers/api/data-types/index.md) specifying whether all available period you are managing for the authenticated account should be deleted. When specified must be `true`.



---
[Read in HTML](/developers/api/scheduling/available-periods/bulk-delete/)